#include <BTCA2A.h> 
#include <Servo.h>  

btca2a btca2a; // создаем BTCA2A класс 

int led = 13; 

int N = 8; // Пин мотора направление (I - черный   
int M = 9; // Пин мотора ШИМ (IA)-белый

boolean StopMotor = false; // для учета остановки моторов

byte speed = 255;  // скорость изменяйте от 0 до 255 

void setup() { 

  btca2a.SetupHardwareSerial(0, 115200); // Номер порта, Скорость 

  pinMode(M, OUTPUT); // Инициализируем пин мотора ШИМ 
  pinMode(N, OUTPUT); // Инициализируем пин мотора направление 

} 

void loop(){ 

  btca2a.ReadCommand(); // Обязательная часть для работы библиотеки. Считывает принятые данные и изменяет статус кнопок. 

  if (btca2a.ButtonPressed(KEYCODE_BUTTON_START)){ //Светодиод КНОПКА СТАРТ Пин 13 
    digitalWrite(led, HIGH); 
  } 
  else{ 
    digitalWrite(led, LOW); 
  } 

  // Движение вперед  
  if (btca2a.ButtonPressed(KEYCODE_DPAD_UP)){ 
    StopMotor = false; // записываем что моторы расторможены
    analogWrite(M, speed); 
    analogWrite(N, 0); 
  }

  // Движение назад 
  if (btca2a.ButtonPressed(KEYCODE_DPAD_DOWN)){ 
    StopMotor = false; // записываем что моторы расторможены
    analogWrite(M, 0); 
    analogWrite(N, speed); 
  } 

  // СТОП
  if (btca2a.ButtonReleased(KEYCODE_DPAD_UP) && btca2a.ButtonReleased(KEYCODE_DPAD_DOWN) && !StopMotor){ 
    analogWrite(M, 0); 
    analogWrite(N, 0); 
    StopMotor = true; // записываем что моторы остановлены
  }
} // Конец loop

